//Aus dem Skript kopiert:
#include "system/task_sine.h" 
#include "system/hardware_task.h" 
#include "system/sine_config.h" 
#include "system/data_channel.h" 
#include "system/float_word.h"
#include <math.h> 
#include <stdio.h> 
#include <limits.h>
#include <system.h>

int task_sine_run( void * data) {

	// Nachfolgende Anweisungen Schreiben 1024 Mal den Wert 4 in den FIFO für Sinus 
	sine_config * task = (sine_config * ) data;
	uint32_t data_channel_base = task->base.sink; 
	data_channel_clear( data_channel_base );

	for (uint32_t i = 0; i < DATA_CHANNEL_DEPTH; ++i) {

		float_word res;
		res.value = task->amplitude * sin(task->phase + i *2 * M_PI / task->samples_per_periode);

		data_channel_write( data_channel_base, res.word );
	}

	return 0;
}
